> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute an Intent Split

> Release the funds of a Split to the wallet of the seller of the Intent line item.

Once the Intent funds have been settled (in a Settlement) and the funds have been received on the platform's Escrow Wallet, the Split status becomes `AVAILABLE`, meaning you can use this endpoint to execute the transfer of funds to the Seller's wallet.

### Path parameters

<ParamField path="IntentId" type="string" required>
  The unique identifier of the Intent.
</ParamField>

<ParamField path="SplitId" type="string" required>
  The unique identifier of the Split.
</ParamField>

### Body parameters

No request body to execute Split.

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters" defaultOpen>
    <ResponseField name="Id" type="string">
      The unique identifier of the Split.
    </ResponseField>

    <ResponseField name="LineItemId" type="string">
      The unique identifier of the line item.
    </ResponseField>

    <ResponseField name="SellerId" type="string">
      The unique identifier of the seller of the line item.
    </ResponseField>

    <ResponseField name="WalletId" type="string">
      The unique identifier of the wallet to credit the seller's funds.
    </ResponseField>

    <ResponseField name="SplitAmount" type="type">
      The amount to transfer to the seller's `WalledId`.

      The sum of the `SplitAmount` values of all `Splits` must be lower than or equal to the `AvailableAmountToSplit` of the Intent.
    </ResponseField>

    <ResponseField name="FeesAmount" type="string">
      The amount of fees.

      The sum of the `FeesAmount` values of all `Splits` must be lower than or equal to the `PlatformFeesAmount` of the Intent.
    </ResponseField>

    <ResponseField name="TransferDate" type="Unix timestamp">
      The future date when the funds are to be automatically transferred to the seller's wallet.
    </ResponseField>

    <ResponseField name="Description" type="string">
      The description of the Split.
    </ResponseField>

    <ResponseField name="Status" type="string">
      The status of the Split:

      * `CREATED`
      * `PENDING_FUNDS_RECEPTION`
      * `AVAILABLE`
      * `PENDING`
      * `COMPLETED`
      * `REJECTED`
      * `FAILED`
      * `REVERSED`
      * `REFUND_SPLIT_PENDING`
      * `REFUND_SPLIT_REJECTED`
      * `REFUND_SPLIT_COMPLETED`
    </ResponseField>
  </Accordion>
</AccordionGroup>

<AccordionGroup>
  <Accordion title="400 - Split Status must be AVAILABLE or REJECTED">
    ```json theme={null}
    {
        "Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
        "Id": "4717c984-9187-476b-bb89-52c1c111bfed",
        "Date": 1770047917,
        "Type": "param_error",
        "Errors": {
            "Split": "Execute split requires a status in [AVAILABLE, REJECTED]. Split [int_split_019c1f13-bd9a-7dec-9357-4e821ef87800] currently has a status of CREATED."
        }
    }
    ```
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json theme={null}
  {
      "Id": "int_split_0197f979-46a1-7810-adfc-a4bcdd7a9315",
      "LineItemId": "int_li_0197f975-63f9-7cb9-b906-43671509eb34",
      "SellerId": "user_m_01JZWQAGPP1ZQR39QTH2TCP587",
      "WalletId": "wlt_m_01JZWQAJN34AGPDRTP9KHBYNYX",
      "SplitAmount": 8000,
      "FeesAmount": 0,
      "Description": "Example description of the Split",
      "Status": "PENDING"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json theme={null}
  // No request body
  ```
</RequestExample>
